Content
Creates a new content record for the authenticated tenant from a Dimension Registry archetype payload.
Creates a new content record for the authenticated tenant from a Dimension Registry archetype payload. › Request Body
sourceThe upstream system that produced the content, such as 'github' or 'slack'.
sourceIdThe stable identifier from the upstream system for this content item. The combination of source and sourceId must be unique within the tenant.
sourceUriThe absolute URI of the content item in the upstream system.
The access control entries that define who can view the content.
entityTypeThe source-specific entity type for this content item, such as 'markdown-file' or 'message'.
Standardized archetype envelope used for transport and storage.
Creates a new content record for the authenticated tenant from a Dimension Registry archetype payload. › Responses
Created
contentIdThe unique identifier of the stored content version that was created.
Updates an existing content record for the authenticated tenant from a Dimension Registry archetype payload.
path Parameters
idThe unique identifier for the stored content version to update.
Updates an existing content record for the authenticated tenant from a Dimension Registry archetype payload. › Request Body
sourceUriThe absolute URI of the content item in the upstream system.
The access control entries that define who can view the content.
entityTypeThe source-specific entity type for this content item, such as 'markdown-file' or 'message'.
Standardized archetype envelope used for transport and storage.
Updates an existing content record for the authenticated tenant from a Dimension Registry archetype payload. › Responses
OK
contentIdThe unique identifier of the stored content version that was created.